![Wiki.js](https://raw.githubusercontent.com/Requarks/wiki-site/1.0/assets/images/logo.png)

[![Release](https://img.shields.io/github/release/Requarks/wiki.svg?style=flat-square&maxAge=3600)](https://github.com/Requarks/wiki/releases)
[![License](https://img.shields.io/badge/license-AGPLv3-blue.svg?style=flat-square)](https://github.com/requarks/wiki/blob/master/LICENSE)
[![npm](https://img.shields.io/badge/npm-wiki.js-blue.svg?style=flat-square)](https://www.npmjs.com/package/wiki.js)
[![Downloads](https://img.shields.io/github/downloads/Requarks/wiki/total.svg?style=flat-square)](https://www.npmjs.com/package/wiki.js)
[![Chat on Gitter](https://img.shields.io/badge/chat-on_gitter-CC2B5E.svg?style=flat-square&logo=image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAcAAAAOCAMAAADUg/YpAAAABlBMVEUAAAD///%2Bl2Z/dAAAAAXRSTlMAQObYZgAAABVJREFUeAFjwAUYYTQByAAh0WicAAAFnwAYeB5bLwAAAABJRU5ErkJggg==)](https://gitter.im/Requarks/wiki)
[![Twitter Follow](https://img.shields.io/badge/follow-%40requarks-blue.svg?style=flat-square)](https://twitter.com/requarks)  
[![Build Status](https://img.shields.io/travis/Requarks/wiki/master.svg?style=flat-square)](https://travis-ci.org/Requarks/wiki)
[![Codefresh Build Status]( https://g.codefresh.io/api/badges/build?repoOwner=Requarks&repoName=wiki&branch=master&pipelineName=wiki&accountName=NGPixel&type=cf-1&style=flat-square)](https://g.codefresh.io/repositories/Requarks/wiki/builds?filter=trigger:build;branch:master;service:5903d09d270a090001e864b6~wiki)
[![Codacy Badge](https://img.shields.io/codacy/grade/1d0217a3153c4595bdedb322263e55c8/master.svg?style=flat-square)](https://www.codacy.com/app/Requarks/wiki)
[![Dependency Status](https://img.shields.io/gemnasium/Requarks/wiki.svg?style=flat-square)](https://gemnasium.com/github.com/Requarks/wiki)
[![Known Vulnerabilities](https://snyk.io/test/github/requarks/wiki/badge.svg?style=flat-square)](https://snyk.io/test/github/requarks/wiki)
[![Standard - JavaScript Style Guide](https://img.shields.io/badge/code%20style-standard-brightgreen.svg?style=flat-square)](http://standardjs.com/)

##### A modern, lightweight and powerful wiki app built on NodeJS, Git and Markdown

- [Official Website](https://wiki.js.org/)
- [Documentation](#documentation)
- [Requirements](#requirements)
- [Change Log](https://github.com/Requarks/wiki/blob/master/CHANGELOG.md)
- [Feature Requests](https://wikijs.canny.io/features)
- [Milestones](#milestones)
- [Chat with us](#gitter)
- [Special Thanks](#special-thanks)

## Documentation

- [Installation Guide](https://wiki.js.org/get-started.html)
- [Admin Guide](https://docs.requarks.io/wiki/#admin-guide)
- [User Guide](https://docs.requarks.io/wiki/#user-guide)

## Requirements

Wiki.js can run on virtually all platforms where Node.js can (Windows, Mac, Linux, etc.).

- Node.js **4.6.0** or later
- MongoDB **3.2** or later
- Git **2.7.4** or later
- An empty Git repository (optional)

> Read the full [prerequisites](https://docs.requarks.io/wiki/prerequisites) article for full details.

## Milestones

Current and upcoming milestones *(features only, see the [changelog](https://github.com/Requarks/wiki/blob/master/CHANGELOG.md) for list of bug fixes)*:

### Beta 11

- [x] Azure AD authentication
- [x] MathML / Tex math equations
- [x] Support for CJK (Chinese, Japanese & Korean) characters in content, meta and uploads
- [x] All Pages section

### Beta 12

- [ ] Docker support + Auto compile/publish to Docker Hub
- [ ] Heroku support

### Beta 13

- [ ] Insert Link modal in Editor
- [ ] Better localization in the UI
- [ ] Better simultaneous user editing handling
- [ ] Preview changes directly from the editor, without saving
- [ ] Upgrade from web UI

## Gitter

Want to discuss features, ideas or issues? Join our [gitter channel](https://gitter.im/Requarks/wiki). We are very active and friendly!

## Twitter

Follow our Twitter feed to learn about upcoming updates and new releases!  
[![Twitter Follow](https://img.shields.io/badge/follow-%40requarks-blue.svg?style=flat-square)](https://twitter.com/requarks)  

## Special Thanks

![Browserstack](https://wiki.js.org/assets/images/logo_browserstack.png)  
[Browserstack](https://www.browserstack.com/) for providing access to their great cross-browser testing tools.

![DigitalOcean](https://wiki.js.org/assets/images/logo_digitalocean.png)  
[DigitalOcean](https://www.digitalocean.com/) for providing hosting of the Wiki.js documentation site.
